{let $depth=$node.depth|int()}

{let $siteurl = ezini('SiteSettings','SiteURL' )}

{let $classFilter = ezini( 'Classes', 'Class_Filter_Array', 'googlesitemaps.ini' )}
{let $classFilterType = ezini( 'Classes', 'Class_Filter_Type', 'googlesitemaps.ini' )}

{let $mainNodeOnly = ezini( 'NodeSettings', 'Main_Node_Only', 'googlesitemaps.ini' )}
{let $changefreq = ezini( 'NodeSettings', 'Node_Depth_ChangeFreq', 'googlesitemaps.ini' )}
{let $priority = ezini( 'NodeSettings', 'Node_Depth_Priority', 'googlesitemaps.ini' )}

   <url>
    <loc>{concat('http://',$siteurl,$node.url_alias|ezurl(no))|extlinkfix(del_layout)}</loc>
    <lastmod>{$node.object.modified|datetime('custom', '%Y-%m-%d')}</lastmod>
    <changefreq>{$changefreq[$depth]}</changefreq>
    <priority>{$priority[$depth]}</priority>
   </url>  

{let list_items=array()  }
{set list_items=fetch_alias( googlesitemaps, hash( parent_node_id, $node.node_id,
                             sort_by, $node.sort_array,
                             class_filter_type, $classFilterType,
                             class_filter_array, $classFilter,
                             main_node_only, $mainNodeOnly ) )}

{section var=child loop=$list_items}
   {node_view_gui view=googlesitemaps content_node=$child}
{/section}

